package footbalmanager;

/**
 * Rozhrani pro ulozeni a nacteni dat.
 *
 * @author Jakub Trmota
 */
public interface IStorage {

    /**
     * Nacte tymy.
     *
     * @param teams pole s tymy
     * @return uspech nacteni
     */
    public boolean loadTeams(Team[] teams);

    /**
     * Nacte zapasy.
     *
     * @param matches pole zapasu
     * @return uspech nacteni
     */
    public boolean loadMatches(Match[][] matches);

    /**
     * Nacte ligu.
     *
     * @param teams pole tymu
     * @param matches pole zapasu
     * @return uspech nacteni
     */
    public boolean loadLeague(Team[] teams, Match[][] matches);

    /**
     * Ulozi ligu.
     *
     * @param teams pole tymu
     * @param matches pole zapasu
     * @return uspech nacteni
     */
    public boolean saveLeague(Team[] teams, Match[][] matches);
}
