package footbalmanager;

import java.io.Serializable;

/**
 * Trida pro ulozeni informaci o zapasech.
 *
 * @author Jakub Trmota
 */
public class Match implements Serializable {

    /**
     * Cislo tymu domacich.
     */
    private int teamHome = 0;
    /**
     * Cislo tymu hostu.
     */
    private int teamVisitor = 0;
    /**
     * Skore domaci.
     */
    private int scoreHome = 0;
    /**
     * Skore hoste.
     */
    private int scoreVisitor = 0;

    /**
     * Konstruktor, vytvori zapas s oznacenim domacich a hostu.
     *
     * @param home cislo tymu domacich
     * @param visitor cislo tymu hostu
     */
    public Match(int home, int visitor) {
        this.teamHome = home;
        this.teamVisitor = visitor;
    }

    /**
     * Nastavi tymy, domaci a hosty.
     *
     * @param home cislo tymu domacich
     * @param visitor cislo tymu hostu
     */
    public void setTeams(int home, int visitor) {
        this.teamHome = home;
        this.teamVisitor = visitor;
    }

    /**
     * Vrati tym domacich.
     *
     * @return cislo tymu domacich
     */
    public int teamHome() {
        return this.teamHome;
    }

    /**
     * Vrati tym hostu.
     *
     * @return cislo tymu hostu.
     */
    public int teamVisitor() {
        return this.teamVisitor;
    }

    /**
     * Nastavi skore zapasu.
     *
     * @param home skore domacich
     * @param visitor skore hostu
     */
    public void setScore(int home, int visitor) {
        this.scoreHome = home;
        this.scoreVisitor = visitor;
    }

    /**
     * Vrati skore domacich.
     *
     * @return skore domacich.
     */
    public int scoreHome() {
        return this.scoreHome;
    }

    /**
     * Vrati skore hostu.
     *
     * @return skore hostu.
     */
    public int scoreVisitor() {
        return this.scoreVisitor;
    }
}
